using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.BaseData.Domain.Entities.FM
{
    [Description("关键许可工作票完成情况统计")]
    public partial class T_FM_WORK_TICKET_COMPLETION : MesEntityBase
    {
        [Description("部门ID")]
        [FormFieldTable]
        public Guid? DEPARTMENT_ID { get; set; }

        [Description("部门名称")]
        [DataFieldLength(50)]
        [FormFieldTable]
        public string DEPARTMENT_NAME { get; set; }
        [Description("车间ID")]
        [FormFieldTable]
        public Guid? SHOP_DEPARTMENT_ID { get; set; }

        [Description("车间名称")]
        [DataFieldLength(50)]
        [FormFieldTable]
        public string SHOP_DEPARTMENT_NAME { get; set; }
        [Description("班组ID")]
        [FormFieldTable]
        public Guid? TEAM_ID { get; set; }

        [Description("班组名称")]
        [DataFieldLength(50)]
        [FormFieldTable]
        public string TEAM_NAME { get; set; }

        [Description("排名")]
        public int NUM { get; set; }

        [Description("总数量")]
        public int TOTAL_COUNT { get; set; }

        [Description("正常已办数")]
        public int FINISH_COUNT { get; set; }

        [Description("超时已办数")]
        public int OVER_FINISH_COUNT { get; set; }

        [Description("待办数")]
        public int WAITTING_COUNT { get; set; }

        [Description("及时完成数")]
        public int ONTIME_COUNT { get; set; }

        [Description("开始时间")]
        public DateTime? START_TIME { get; set; }

        [Description("截止时间")]
        public DateTime? END_TIME { get; set; }

        [Description("日期")]
        public DateTime MONTH { get; set; }
        [Description("日期中文")]
        public string MONTHStr { get; set; }

        [Description("计算用")]
        [DataFieldIngore]
        public double CALC { get; set; }

        [Description("完成率")]
        [DataFieldIngore]
        public double FINISH_RATE { get; set; }
        [Description("超时完成率")]
        [DataFieldIngore]
        public double NORMAL_FINISH_RATE { get; set; }
    }
}
